include ../Makefile.rules

OBJBASE = map.o \
	  map_area.o \
	  map_hash.o \
	  map_way.o \
	  map_loadsave.o \
      map_nodepois.o \
	  map_searchhash.o \
      map_webload.o

ifeq "$(HAVEXML)" "1"
OBJ = $(OBJBASE) map_osmload.o
else
OBJ = $(OBJBASE)
endif

SRC = $(OBJ:%.o=%.c)

all: libmapsys.a

dep: $(SRC)
	$(CC) -MM $(SRC) $(CFLAGS) > $(DEPENDFILE)

clean:
	rm -rf *.o
	rm -rf *~
	rm -rf *.a
	rm -rf $(DEPENDFILE)

libmapsys.a: $(OBJ)
	$(AR) rcs libmapsys.a $(OBJ)

-include $(DEPENDFILE)

